### Method

# Gimp RGB to_cmyk

#### Declaration [src]

    void
    gimp_rgb_to_cmyk (
      const GimpRGB* rgb,
      gdouble pullout,
      GimpCMYK* cmyk
    )

#### Description [src]

Does a naive conversion from RGB to CMYK colorspace. A simple formula that doesn’t take any color-profiles into account is used. The amount of black pullout how can be controlled via the `pullout` parameter. A `pullout` value of 0 makes this a conversion to CMY. A value of 1 causes the maximum amount of black to be pulled out.

#### Parameters

`pullout` | `gdouble`
| A scaling value (0-1) indicating how much black should be pulled out.
`cmyk` | `GimpCMYK`
| The input value naively converted to the CMYK colorspace.
| The argument will be set by the function.
| The data is owned by the caller of the function.